# ProjectState

interface ProjectState

`ProjectState` provides information about the execution state of a project.

## Functions

getExecuted
Link copied to clipboard
abstract fun getExecuted(): Boolean
Returns true if this project has been evaluated.
getFailure
Link copied to clipboard
@Nullable
abstract fun getFailure(): @Nullable Throwable
Returns the exception describing the project failure, if any.
rethrowFailure
Link copied to clipboard
abstract fun rethrowFailure()
Throws the project failure, if any.